Show / Hide Table of Contents

# Class DNCGauge

In-memory DNC job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<DancerGauge>
DNCGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class DNCGauge : JobGaugeBase<DancerGauge>

### Properties

| Improve this Doc View Source

#### CompletedSteps

Gets the number of steps completed for the current dance.

##### Declaration

    public byte CompletedSteps { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Esprit

Gets the amount of Espirit available.

##### Declaration

    public byte Esprit { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Feathers

Gets the number of feathers available.

##### Declaration

    public byte Feathers { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsDancing

Gets a value indicating whether the player is dancing or not.

##### Declaration

    public bool IsDancing { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### NextStep

Gets the next step in the current dance.

##### Declaration

    public ulong NextStep { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | The next dance step action ID.